Deposit wallets
Get customer wallet
Returns details of a specific customer wallet by ID.
Returns details of a specific customer wallet by ID.
Authorization
bearerAuth AuthorizationBearer <token>
Organization API key obtained from PropelAuth
In: header
Path Parameters
customerId*string
walletId*string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://compose.finance/api/v2/customers/string/deposit/wallets/string"{
"id": "wallet_abc123",
"customerId": "550e8400-e29b-41d4-a716-446655440001",
"address": "0x1234567890AbcdEF1234567890aBcdef12345678",
"currency": "usdc",
"chain": "base",
"enabled": true,
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
}{
"error": "Unauthorized - Invalid or missing API key or session"
}{
"error": "Customers feature is not enabled for your organization"
}{
"error": "Invalid request data"
}Delete customer wallet DELETE
Deletes a customer wallet. This action cannot be undone. **Note:** Unlicensed organizations cannot delete customer wallets as a wallet is required for deposit processing.
List customer wallets GET
Returns all crypto wallets configured for the customer. Optionally filter by currency.